Bug 236019 - Wrong init script
Summary: Wrong init script
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: anacron   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Marcela Mašláňová
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords: EasyFix
Depends On: 235999
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-11 15:23 UTC by Michal Marciniszyn
Modified: 2014-02-10 23:01 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-09 13:30:24 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Michal Marciniszyn 2007-04-11 15:23:25 UTC
+++ This bug was initially created as a clone of Bug #235999 +++

Description of problem:
initscript of anacron ends if /usr/sbin/anacron does not exist with exit code 0.

Version-Release number of selected component (if applicable):
All

How reproducible:
Always

Steps to Reproduce:
1. mv /usr/sbin/anacron /usr/sbin/anacron.gotcha
2. service anacron start
3. echo $?
  
Actual results:
0

Expected results:
non-zero error code

Additional info:
There are several more bugs in init script, namely the status command should
always run irrespectible of lack of binary/conf file... For our initscript
guidelines watch
http://intranet.corp.redhat.com/ic/intranet/InitscriptsSpec.html
http://intranet.corp.redhat.com/ic/intranet/InitscriptGuidelines.html


Note You need to log in before you can comment on or make changes to this bug.